al_get_joystick_state(3)

NAME

al_get_joystick_state - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_get_joystick_state(ALLEGRO_JOYSTICK *joy, ALLEGRO_JOYSTICK_STATE *ret_state)

DESCRIPTION

Get the current joystick state.

SEE ALSO

ALLEGRO_JOYSTICK_STATE(3), al_get_joystick_num_buttons(3), al_get_joystick_num_axes(3)